#!/bin/sh
#
# -----------------------------------------------------------------------------
#
# ZenBuild script for zen_pkgcheck
# ===========================
# Author:	GUTH <guth@ploposor.com>
# URL:		http://zen-repo.meticul.eu/zen_stuffs/guth/zen_pkgcheck.pl

soft='zen-pkgcheck'
softversion='0.7'
packageversion='62.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/${soft}.pl"
src="$buildir/${soft}-${softversion}"
package="${soft}-${softversion}-${arch}-${packageversion}"
dest="$buildir/${package}"


cd $buildir
#rm -rf $src


#
# Extract the tar ball, patch and modify
#

rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/usr/bin

cp $buildir/$soft.pl $dest/usr/bin/

chown -R root.root $dest

# No icon
# No .desktop
# No Doc

# --- PACKAGE DESCRIPTION ---
mkdir -p $dest/install

cat <<EOF > $dest/install/slack-desc
#       |-----handy-ruler------------------------------------------------------|
$soft: $soft $softversion
$soft:
$soft: A script to test if a package is compilant with zenwalk rules
$soft: 
$soft: 
$soft: Based on pkgcheck.pl for Slackware packages
$soft: 
$soft: 
$soft: 
$soft: 
$soft: 
EOF

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion/

# --- OWNERSHIP, RIGHTS ---

chmod -R o-w $dest


# --- BUILDING ---

echo "Build package"
cd $dest
/sbin/makepkg -l y -c n $dest.tgz

echo "perl" > $dest.dep
md5sum $dest.tgz > $dest.md5
